import { defineNuxtConfig } from 'nuxt'
import UnpluginComponentsVite from 'unplugin-vue-components/vite'
import IconsResolver from 'unplugin-icons/resolver'
import serveStatic from 'serve-static'

// https://v3.nuxtjs.org/api/configuration/nuxt.config
export default defineNuxtConfig({
  ssr: true,
  nitro: {
    plugins: ['~/server/startup.js'],
  },
  buildModules: ['@nuxtjs/tailwindcss', 'unplugin-icons/nuxt', '@nuxtjs/svg'],
  vite: {
    plugins: [
      UnpluginComponentsVite({
        dts: true,
        resolvers: [
          IconsResolver({ prefix: 'Icon' }),
        ],
      }),
    ],
  },
  modules: ["./modules/socket"],
  plugins: [
    { src:'@/plugins/socket.client.js', mode: 'client' }
  ],
})
