import fs from 'node:fs'
import path from 'path'
import { sendStream } from 'h3'

export default defineEventHandler(event => {
  const uuid = event.context.params.uuid
  const filePath = path.resolve('./server/public/images/', uuid)
  if (!fs.existsSync(filePath)) {
    throw new Error('File not found!')
  }
  return sendStream(event, fs.createReadStream(filePath))
})
